Subject: Re: bug#30204: 27.0.50; Changing major mode resets non-default invisibility spec

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 09 Oct 2021 13:10:57 +0200

Robert Pluim <[email-masked]> writes:

> I see you did that with 'after-change-functions'. Would a
> 'pre-yank-hook' be a useful addition to Emacs? I often yank output
> from badly behaved programs, and having a buffer-local hook to replace
> non-breaking-spaces and the like before insertion would be useful.

There's `filter-buffer-substring' to do it from the other side...  But I
see now that I could just have set `yank-excluded-properties' to t in
this mode to get the same effect as the `after-change-functions'.  I'll
adjust.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no